﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace howto_mru_list
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // The MruList.
        MruList MyMruList;

        // Make the MruList.
        private void Form1_Load(object sender, EventArgs e)
        {
            MyMruList = new MruList("howto_mru_list", mnuFile, 4);
            MyMruList.FileSelected += MyMruList_FileSelected;
        }

        // Open a file.
        private void mnuFileOpen_Click(object sender, EventArgs e)
        {
            if (ofdFile.ShowDialog() == DialogResult.OK)
            {
                OpenFile(ofdFile.FileName);
            }
        }

        // Open a file and add it to the MRU list.
        private void OpenFile(string file_name)
        {
            try
            {
                // Load the file.
                rchFile.Clear();
                if (file_name.ToLower().EndsWith(".rtf"))
                {
                    rchFile.LoadFile(file_name);
                }
                else
                {
                    rchFile.Text = File.ReadAllText(file_name);
                }

                // Add the file to the MRU list.
                MyMruList.AddFile(file_name);
            }
            catch (Exception ex)
            {
                // Remove the file from the MRU list.
                MyMruList.RemoveFile(file_name);

                // Tell the user what happened.
                MessageBox.Show(ex.Message);
            }
        }

        // Open a file selected from the MRU list.
        private void MyMruList_FileSelected(string file_name)
        {
            OpenFile(file_name);
        }
    }
}
